# H323TransactionPDU Class Reference

`#include <h323trans.h>`

Inheritance diagram for H323TransactionPDU:

[legend]

## Public Member Functions

| H323TransactionPDU ()
| H323TransactionPDU (const H235Authenticators &auth)
virtual | ~H323TransactionPDU ()
virtual PBoolean | Read (H323Transport &transport)
virtual PBoolean | Write (H323Transport &transport)
virtual PASN_Object & | GetPDU ()=0
virtual PASN_Choice & | GetChoice ()=0
virtual const PASN_Object & | GetPDU () const =0
virtual const PASN_Choice & | GetChoice () const =0
virtual unsigned | GetSequenceNumber () const =0
virtual unsigned | GetRequestInProgressDelay () const =0
virtual H323TransactionPDU * | ClonePDU () const =0
virtual void | DeletePDU ()=0
const H235Authenticators & | GetAuthenticators () const
H235Authenticators & | GetAuthenticators ()
void | SetAuthenticators (const H235Authenticators &auth)
H235Authenticator::ValidationResult | Validate (const PASN_Array &clearTokens, unsigned clearOptionalField, const PASN_Array &cryptoTokens, unsigned cryptoOptionalField) const
void | Prepare (PASN_Array &clearTokens, unsigned clearOptionalField, PASN_Array &cryptoTokens, unsigned cryptoOptionalField)

## Protected Attributes

H235Authenticators | authenticators
PPER_Stream | rawPDU

## Constructor & Destructor Documentation

H323TransactionPDU::H323TransactionPDU | ( |  | ) |

H323TransactionPDU::H323TransactionPDU | ( | const H235Authenticators & | auth | ) |

virtual H323TransactionPDU::~H323TransactionPDU | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual H323TransactionPDU* H323TransactionPDU::ClonePDU | ( |  | ) | const`[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

virtual void H323TransactionPDU::DeletePDU | ( |  | ) | `[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

H235Authenticators& H323TransactionPDU::GetAuthenticators | ( |  | ) | `[inline]`

const H235Authenticators& H323TransactionPDU::GetAuthenticators | ( |  | ) | const`[inline]`

virtual const PASN_Choice& H323TransactionPDU::GetChoice | ( |  | ) | const`[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

virtual PASN_Choice& H323TransactionPDU::GetChoice | ( |  | ) | `[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

virtual const PASN_Object& H323TransactionPDU::GetPDU | ( |  | ) | const`[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

virtual PASN_Object& H323TransactionPDU::GetPDU | ( |  | ) | `[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

virtual unsigned H323TransactionPDU::GetRequestInProgressDelay | ( |  | ) | const`[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

virtual unsigned H323TransactionPDU::GetSequenceNumber | ( |  | ) | const`[pure virtual]`

Implemented in H323RasPDU, and H501PDU.

void H323TransactionPDU::Prepare | ( | PASN_Array & | clearTokens,
|  | unsigned | clearOptionalField,
|  | PASN_Array & | cryptoTokens,
|  | unsigned | cryptoOptionalField |
| ) |  |  | `[inline]`

virtual PBoolean H323TransactionPDU::Read | ( | H323Transport & | transport | ) | `[virtual]`

void H323TransactionPDU::SetAuthenticators | ( | const H235Authenticators & | auth | ) | `[inline]`

H235Authenticator::ValidationResult H323TransactionPDU::Validate | ( | const PASN_Array & | clearTokens,
|  | unsigned | clearOptionalField,
|  | const PASN_Array & | cryptoTokens,
|  | unsigned | cryptoOptionalField |
| ) |  |  | const`[inline]`

virtual PBoolean H323TransactionPDU::Write | ( | H323Transport & | transport | ) | `[virtual]`

## Field Documentation

H235Authenticators H323TransactionPDU::authenticators `[mutable, protected]`

PPER_Stream H323TransactionPDU::rawPDU `[protected]`

The documentation for this class was generated from the following file:

- h323trans.h